package gov.va.med.cds.socket.server.handler;

import gov.va.med.cds.exception.AbstractCdsBaseException;
import gov.va.med.cds.exception.ErrorCodeEnum;

public class DispatchException extends
		AbstractCdsBaseException {
	
	private static final long serialVersionUID = 8310605247070003442L;

	public DispatchException(ErrorCodeEnum errorCode) {
		super(errorCode);
	}

    public DispatchException( ErrorCodeEnum errorCode, String... customMsgValues )
    {
        super( errorCode, customMsgValues );
    }

    public DispatchException( ErrorCodeEnum errorCode, Throwable cause )
    {
        super( errorCode, cause );
    }

    public DispatchException( ErrorCodeEnum errorCode, Throwable cause, String... customMsgValues )
    {
        super( errorCode, cause, customMsgValues );
    }

}
